Abuses
Abuses deal with reports of local or remote videos/comments/accounts alike.
List abuses
Parameters
idintegerqueryonly list the report with this id
predefinedReasonArray<string>violentOrAbusivehatefulOrAbusivespamOrMisleadingprivacyrightsserverRulesthumbnailscaptionsquerypredefined reason the listed reports should contain
searchstringqueryplain search that will match with video titles, reporter names and more
searchReporterstringqueryonly list reports of a specific reporter
searchReporteestringqueryonly list reports of a specific reportee
searchVideostringqueryonly list reports of a specific video
searchVideoChannelstringqueryonly list reports of a specific video channel
videoIsstringdeletedblacklistedqueryonly list deleted or blocklisted videos
filterstringvideocommentaccountqueryonly list account, comment or video reports
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-id-createdAt-statequerySort abuses by criteria
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Report an abuse
You cannot report a video that you own or on which you are a collaborator (video channel editor).
Body
reasonstringrequiredReason why the user reports this video
predefinedReasonsArray<string>violentOrAbusivehatefulOrAbusivespamOrMisleadingprivacyrightsserverRulesthumbnailscaptionsReason categories that help triage reports
videoobjectcommentobjectaccountobjectParameters
x-peertube-video-passwordstringheaderRequired on password protected video
Response
successful operation
incorrect request parameters
cannot report a video you own or that you collaborate on
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Update an abuse
Body
stateAbuseStateSet123The abuse state (Pending = 1, Rejected = 2, Accepted = 3)
moderationCommentstringUpdate the report comment visible only to the moderation team
Parameters
Abuse id
Response
successful operation
abuse not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
Delete an abuse
Parameters
Abuse id
Response
successful operation
block not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin, moderator
List messages of an abuse
Parameters
Abuse id
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Add message to an abuse
Body
messagestringrequiredMessage to send
Parameters
Abuse id
Response
successful operation
incorrect request parameters
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete an abuse message
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
